KTextEditor::SelectionInterface Class Referenceabstract

`#include <selectioninterface.h>`

## Public Member Functions

unsigned int | selectionInterfaceNumber () const
virtual bool | setSelection (unsigned int startLine, unsigned int startCol, unsigned int endLine, unsigned int endCol)=0
virtual bool | clearSelection ()=0
virtual bool | hasSelection () const =0
virtual QString | selection () const =0
virtual bool | removeSelectedText ()=0
virtual bool | selectAll ()=0
virtual void | selectionChanged ()=0

## Protected Member Functions

void | setSelectionInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateSelectionInterface

## Detailed Description

This is an interface to text selection for the Document class.

Definition at line 33 of file selectioninterface.h.

## Member Function Documentation

virtual bool KTextEditor::SelectionInterface::clearSelection | ( |  | ) |

pure virtual

removes the current Selection (not Text)

virtual bool KTextEditor::SelectionInterface::hasSelection | ( |  | ) | const

pure virtual

Returns
  true if there is a selection

virtual bool KTextEditor::SelectionInterface::removeSelectedText | ( |  | ) |

pure virtual

removes the selected Text

virtual bool KTextEditor::SelectionInterface::selectAll | ( |  | ) |

pure virtual

select the whole text

virtual QString KTextEditor::SelectionInterface::selection | ( |  | ) | const

pure virtual

Returns
  a QString for the selected text

virtual bool KTextEditor::SelectionInterface::setSelection | ( | unsigned int | startLine,
|  | unsigned int | startCol,
|  | unsigned int | endLine,
|  | unsigned int | endCol
| ) |  |

pure virtual

Returns
  set the selection from line_start,col_start to line_end,col_end

The documentation for this class was generated from the following files:

- selectioninterface.h
- selectioninterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys